Julian Reschke commented on OAK-4467:

can't we require commons-io 2.5?

(I'd like to backport so that we can get rid of the workaround in the other 

> Upgrade commons-io to 2.5 and remove ReversedLinesFileReader
> ------------------------------------------------------------
>                 Key: OAK-4467
>                 URL: https://issues.apache.org/jira/browse/OAK-4467
>             Project: Jackrabbit Oak
>          Issue Type: Improvement
>          Components: auth-external, blob, commons, core, examples, parent, 
> pojosr, run, segment-tar, segmentmk, webapp
>            Reporter: Michael Dürig
>            Assignee: Michael Dürig
>              Labels: technical_debt
>             Fix For: Segment Tar 0.0.16
>         Attachments: OAK_4467.patch
> For OAK-2605 we copied the source of {{ReversedLinesFileReader}} to Oak to 
> get the fix for IO-471 in. As this is now fixed in {{commons-io}} 2.5, I 
> suggest we upgrade our dependency and remove that duplicated class.

This message was sent by Atlassian JIRA

Reply via email to